#ifndef FB_RC5_64
#define FB_RC5_64 1
/*kopf Belegung Fernbedienung	
			12-on

43	46	44	39
47	48	42	45

       18^
	   
  21< 20-ok >22
	  
       19   10-back

55	54	50	52*/

//Tastenbelegung:
#define fb_0 0
#define fb_1 1
#define fb_2 2
#define fb_3 3
#define fb_4 4
#define fb_5 5
#define fb_6 6
#define fb_7 7
#define fb_8 8
#define fb_9 9

#define fb_up   18
#define fb_down 19
#define fb_left  21
#define fb_right 22

#define fb_onoff 12
#define fb_ok    20
#define fb_back 10

//I. Tastenreihe
#define fb_1_1 43
#define fb_1_2 46
#define fb_1_3 44
#define fb_1_4 39

//II. Tastenreihe
#define fb_2_1 47
#define fb_2_2 48
#define fb_2_3 42
#define fb_2_4 45

#define fb_red    55
#define fb_green  54
#define fb_yellow 50
#define fb_blue   52 

#define fb_pr_plus		33
#define fb_pr_minus		32

#define fb_vol_plus		16
#define fb_vol_minus	17



//u8 houz,houe,minz,mine;
//+++++++++++++++++++++++++++++++++++++++++++++
void sub_lcd_wdy(u8 wert){
if(wert==0)wert=1;
switch (wert){
case(0):lcd_write("xx");break;
case(1):lcd_write("Mo");break;
case(2):lcd_write("Di");break;
case(3):lcd_write("Mi");break;
case(4):lcd_write("Do");break;
case(5):lcd_write("Fr");break;
case(6):lcd_write("Sa");break;
case(7):lcd_write("So");break;}}
//---------------------------------------------



//+++++++++++++++++++++++++++++++++++++++++++++
void display_cursor(u8 wert){

//if (fb_mn_curpos<3){
lg(2,fb_mn_curpos);
lw("^  ");
//}else{
//lg(2,fb_mn_curpos-2);
//lw("  ^  ");}

lcd_goto(1,fb_mn_curpos);
if(step!=4){lcd_int(wert);}else{sub_lcd_wdy(wert);}
lcd_goto(1,fb_mn_curpos);}
//---------------------------------------------



//+++++++++++++++++++++++++++++++++++++++++++++
void  sub_befehle_FB_RC5_64(u8 cmd){
wdg_Menu_on;
switch (ir_cmd){//switch1

case(fb_green)://Einstellmen ds1307
cbi(bool_fb,schalter_FB_verbose);
#if use_glcd 	
lcd_ClearZeilen_Y(0,35,(GOLD));
#else
lcd_clear();
#endif
ds1307menu=1;
lg(1,1);sub_lcd_wdy(WDY);
lcd_int2(DAY);lw(".");lcd_int2(MON);lw(".");lcd_int2(YEA);
lw(" ");lcd_int2(hou);lw(":");lcd_int2(min);

//display_timer=0;
kkdat[0]=hou/10;
kkdat[1]=hou%10;
kkdat[2]=min/10;
kkdat[3]=min%10;
kkdat[4]=WDY;
kkdat[5]=DAY/10;
kkdat[6]=DAY%10;
kkdat[7]=MON/10;
kkdat[8]=MON%10;
kkdat[9]=YEA/10;
kkdat[10]=YEA%10;
break;//54
}//switch1

//++++++++++++++++++++++ neu2 menu2 
//lw("all ww wz ku bd lu no le");
//---------------------- neu2 menu2


if(ds1307menu==1){
if(ir_cmd<fb_9+1)//Bedingung fr Eingabe von Ziffern
{display_cursor(ir_cmd);kkdat[step]=ir_cmd;ir_cmd=22;}




switch (ir_cmd){

//+++++++++++++++++++ grn =>Zeitmenu

case(fb_left):lg(2,fb_mn_curpos);lw(" ");step--;if (step>10 )step=10;break;//left		
case(fb_right):lg(2,fb_mn_curpos);lw(" ");step++;if (step==11)step=0;break;//	right		
case(fb_down):(kkdat[step])--;break;//	down		
case(fb_up):(kkdat[step])++;break;//	up		
case(fb_ok)://	0k	
hou=kkdat[0]*10+kkdat[1];
min=kkdat[2]*10+kkdat[3];
sec=0;
WDY=kkdat[4];	
DAY=kkdat[5]*10+kkdat[6];
MON=kkdat[7]*10+kkdat[8];
YEA=kkdat[9]*10+kkdat[10];

lgw(2,9,"y");
//wdg20on;
#if use_twi
ds1307gefunden = i2c_start(0xd0); //0b11010000 - 188??  
if (ds1307gefunden==0){ kk_ds1307_setAll();lcd_write(" ok....");}else{lcd_write("err1307");}
#endif
ir_cmd=fb_back;
//wdg20off;
//no break
case(fb_back):ir_cmd=255;
ds1307menu=0;
#if use_glcd
//lcd_clear(1,4);
#else
lcd_clear();
#endif
sbi(bool_fb,FB_return_main);
cbi(bool_fb,FB_not_return_main);
asm("jmp Sprung");
break;
}//end case


switch (step){
		case (0):fb_mn_curpos= 12;fb_mn_max= 2;fb_mn_basis=0;break;//houZ
		case (1):fb_mn_curpos= 13;fb_mn_max= 9;fb_mn_basis=0;break;//houE
		case (2):fb_mn_curpos= 15;fb_mn_max= 5;fb_mn_basis=0;break;//min
		case (3):fb_mn_curpos= 16;fb_mn_max= 9;fb_mn_basis=0;break;
		case (4):fb_mn_curpos=  1;fb_mn_max= 7;fb_mn_basis=1;break;//wdy
		case (5):fb_mn_curpos=  3;fb_mn_max= 3;fb_mn_basis=0;break;//day
		case (6):fb_mn_curpos=  4;fb_mn_max= 9;fb_mn_basis=0;break;
		case (7):fb_mn_curpos=  6;fb_mn_max= 1;fb_mn_basis=0;break;//mon
		case (8):fb_mn_curpos=  7;fb_mn_max= 9;fb_mn_basis=0;break;
		case (9):fb_mn_curpos=  9;fb_mn_max= 9;fb_mn_basis=0;break;//yea
		case(10):fb_mn_curpos= 10;fb_mn_max= 9;fb_mn_basis=0;break;
//		case(11):fb_mn_curpos= 14;fb_mn_max= 3;fb_mn_basis=0;break;//auto
}//ende switch
//lcd_goto(3,10);li(step);lw("-");li(fb_mn_curpos);lw("x");


if((kkdat[step])>250){(kkdat[step])=  fb_mn_max;}
if((kkdat[step])>  fb_mn_max){(kkdat[step])=fb_mn_basis;}
display_cursor(kkdat[step]);
_delay_ms(200);
ir_cmd=255;
}
/////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////

else{//not ds1307 menu
_delay_ms(10);
cbi(bool_fb,FB_not_return_main);
switch (ir_cmd){

case(fb_back):asm("jmp Sprung");break;

case(fb_onoff):asm("jmp 0");break;

case(fb_blue):;     //sbi(bool_fb_verbose,0);lgi(6,20,bool_fb_verbose);
	#ifdef  ds1820_list_all
	ds1820_list_all();
	#else
	lgw(2,10,"test");
	#endif
	break;

//======================================================
}//switch
}//not ds1307 menu
ir_adr=0;
}
#endif
